/* 
Theme Name:		 Astra Child
Theme URI:		 http://childtheme-generator.com/
Description:	 Astra Child is a child theme of Astra, created by ChildTheme-Generator.com
Author:			 Qasimmizbah
Author URI:		 http://childtheme-generator.com/
Template:		 astra
Version:		 1.0.0
Text Domain:	 astra-child
*/


/*
    Add your custom styles here
*/

/* Remove top spacing added by WooCommerce/theme */
.single-product .site-main,
.single-product .content-area,
.single-product #primary {
    padding-top: 0 !important;
    margin-top: 0 !important;
}

/* Full width banner */
.product-banner-wrapper {
    width: 100vw;
    margin-left: calc(-50vw + 50%);
	margin-bottom:30px;
}

/* Banner styles */
.product-banner {
    height: 250px;
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

/* Dark overlay */
.product-banner::before {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0.45);
}

/* Title */
.product-banner-title {
    position: relative;
    color: #fff;
    font-size: 42px;
    z-index: 2;
    margin: 0;
}

.banner-content .elementor-widget-image-box {
    margin-bottom: 7px;
}
.hfeed header#masthead {
    position: fixed;
    top: 0;
    width: 100%;
	 z-index:999;
}
.banner .elementor-background-overlay {
    width: 50%;
    clip-path: polygon(0 0, 100% 0, 85% 100%, 0% 100%);
}
.home-form.elementor-widget.elementor-widget-elementskit-contact-form7 {
    background-color: #fff;
    border-radius: 40px;
    box-shadow: 0px 0px 30px #00000024;
}
.elementor-element-910a67b .elementor-column .elementor-widget-image-box, .elementor-element-fd504c0 .elementor-widget-image-box, .elementor-element-f6ce172 .elementor-widget-image-box {
    height: 100%;
}
.elementor-element-3fce842 .elementor-column .elementor-image-box-wrapper .elementor-image-box-title {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 15px;
}
.elementor-element-3fce842 .elementor-column .elementor-image-box-wrapper .elementor-image-box-title .service-card-no {
    font-size: 35px;
}
.elementor-element-3fce842 .elementor-column .elementor-widget-image-box {
    height: 100%;
}
.elementor-element-d4fd148 .elementor-column .elementor-widget-image-box .elementor-image-box-description, .elementor-element-8853202 .elementor-image-box-content .elementor-image-box-description {
    text-align: justify;
}
.eael-grid-post .eael-grid-post-excerpt a {
    max-width: fit-content;
    margin-left: auto !important;
    margin-right: auto !important;
}
.services-card article.eael-grid-post .eael-grid-post-holder:hover{
	    box-shadow: 1px 1px 5px #424242;
}
.services-card article.eael-grid-post .eael-entry-wrapper .eael-grid-post-excerpt p {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    overflow: hidden;
    text-overflow: ellipsis;
}

.player {
    background: #252a2d;
    border-radius: 20px;
    color: #fff;
    padding: 13px 18px;
    box-shadow: 1px 2px 4px #1b1b1b;
}

.player__title {
 font-family: Open Sans Condensed, sans-serif;
    font-style: normal;
    font-weight: 600;
    font-size: 10px;
    line-height: 16px;
    letter-spacing: .02em;
    text-transform: uppercase;
    min-width: 80px;
}

.player__progress {
  width: 100%;
    background: #000;
    border-radius: 5px;
    position: relative;
    padding: 2px 3px;
    cursor: pointer;
}

.player__progress-line {
    width: 1%;
    height: 4px;
    background: #0061aa;
    border-radius: 5px;
}

.module-player .player .player__btn {
    color: #fff;
    width: 36px;
    height: 36px;
    background: #0061aa;
    border: 2px solid #0061aa;
    border-radius: 50%;
    box-sizing: border-box;
    box-shadow: inset -2px -2px 5px #003e82, inset 1px 2px 4px #4faaff;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 24px;
    outline: none;
    cursor: pointer;
	padding:0;
}

.module-player .player .player-row .player__after, .module-player .player .player-row .player__before {
    height: 36px;
    flex: 1;
    font-family: Montserrat, sans-serif;
    font-style: normal;
    font-weight: 500;
    font-size: 13px !important;
    line-height: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    background: #252a2d;
    border-radius: 20px 0 0 20px;
    border: none;
    cursor: pointer;
    outline: none;
    transition: all .25s ease-in-out;
	padding:0;
}
.module-player .player .player__after {
    border-radius: 0 20px 20px 0 !important;
}
.player__after, .player__after:focus, .player__before, .player__before:focus {
    box-shadow: inset 2px 2px 5px rgba(0, 0, 0, .25), inset -1px -2px 4px #31373a;
}
.player__before.active,
.player__after.active {
    background: #0a74ff;
    color: #fff;
}
.module-player .player .player-row .player__after:hover, .module-player .player .player-row .player__before:hover {
    background: #191b1d;
}
.mui-row.home-samples-wraper.module-player {
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    gap: 30px;
}
.module-player .player .player__btn--pause, .module-player .player .player__btn--play {
    transition: all .25s ease-in-out;
    display: block;
    min-height: 13px;
    min-width: 13px;
}
.player-row {
    display: flex;
    flex-direction: row;
    align-items: center;
}
.player-row {
    display: flex;
    flex-direction: row;
    align-items: center;
	 justify-content: space-between;
	margin-top: 9px;
}
.module-player .player .player__btn img {
    transition: all .25s ease-in-out;
    display: block;
    min-height: 13px;
    min-width: 13px;
}
.is-before .player__before, .player__before:active {
    background: #e43727;
}
.service-card-banner .elementor-column .elementor-widget-image-box {
    height: 100%;
}
.blog .site-main article h2.entry-title {
    position: absolute;
    top: 84px;
    left: 50%;
    width: 100%;
    transform: translateX(-50%); 
	 text-align: center;
}
.blog .site-main article h2.entry-title a {    
    font-size: 1.7rem;
    color: #fff;
    font-weight: 700;
}
.blog .site-main article .ast-blog-single-element.ast-taxonomy-container.cat-links.default {
    display: none;
}
.blog .site-main article .posted-by.vcard.author {
    display: none;
}
.blog .site-main article .entry-meta .posted-on .published {
    color: #334155;
}
.blog .site-main article p {
    line-height: 20px;
    font-family: 'Open sans', sans-serif;
    text-align: justify;
    font-size: 14px;
}
.blog .site-main {
    margin-top: 50px;
}


/* Main form wrapper */
.mastering-form {
    display: grid;
    grid-template-columns: 2fr 1fr;
    gap: 30px;
    max-width: 1100px;
    margin: 40px auto;
    font-family: Arial, sans-serif;
}
.mastering-left {
    background: #fff;
    border: 1px solid #e5e5e5;
    padding: 30px;
    border-radius: 6px;
}

.mastering-left h3 {
    margin-bottom: 20px;
    font-size: 22px;
}
.mastering-left input[type="text"],
.mastering-left input[type="email"],
.mastering-left input[type="number"],
.mastering-left textarea {
    width: 100%;
    padding: 12px 14px;
    margin-bottom: 15px;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 14px;
}

.mastering-left textarea {
    min-height: 100px;
    resize: vertical;
}
.form-row-2 {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 15px;
}

.mastering-left input[type="file"] {
    border: 1px dashed #bbb;
    padding: 15px;
    width: 100%;
    background: #fafafa;
}
.mastering-right {
    background: #f9f9f9;
    border: 1px solid #e5e5e5;
    padding: 25px;
    border-radius: 6px;
}

.mastering-right h4 {
    font-size: 18px;
    margin-bottom: 15px;
}
.mastering-right .wpcf7-checkbox label {
    display: block;
    margin-bottom: 10px;
    font-size: 14px;
    cursor: pointer;
}
.price-row {
    display: flex;
    justify-content: space-between;
    margin: 12px 0;
    font-size: 14px;
}

.total-amount {
    font-size: 22px;
    font-weight: bold;
    color: #1e88e5;
    text-align: right;
    margin-top: 20px;
}
.mastering-right input[type="submit"] {
    width: 100%;
    background: #1e88e5;
    color: #fff;
    padding: 14px;
    font-size: 15px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    margin-top: 20px;
}

.mastering-right input[type="submit"]:hover {
    background: #1669b2;
}

/*service form css */
.service_form .mastering-left, .service_form .mastering-right {    
    border: 0;
    padding: 15px;
    border-radius: 0;
    box-shadow: 0px 0px 5px #42424270;
	width:50%;
}
.service_form .mastering-left h3 {   
    font-size: 30px;
    font-weight: 400;
    font-family: Roboto, Noto Sans, Arial, sans-serif;
}
.service_form .mastering-form {
    display: flex;
}
.service_form .mastering-left p input {
    border: 1px solid #9e9e9e;
    border-radius: 4px;
    box-shadow: inset 0 1px 2px hsla(0, 0%, 62%, .3), 0 0 0 0 transparent;
    padding-left: .5em;
    padding-right: .5em;
	height: 3em;
}
.service_form .mastering-left .form-row-2 p {
    display: flex;
    gap: 15px;
}
.service_form .mastering-left .form-row-2 {
    display: flex;
}

.product_cat-services .product_title {
    font-size: 32px;
    font-weight: 700;
    text-transform: uppercase;
}
.product_cat-services .cart button.single_add_to_cart_button {
    font-size: 20px;
    font-weight: 600;
    padding: 10px 25px !important;
    line-height: 1.429;
}
.products.wt-related-products .wt-crp-heading {
    font-size: 40px;
    line-height: 50px;
    text-transform: uppercase;
    font-weight: 700;
    text-align: center;
}
.carousel-wrap .products li.ast-article-single .attachment-woocommerce_thumbnail {
    height: 250px;
    object-fit: cover;
	  transition: all .3s ease;
	  margin-bottom:0;
}
.carousel-wrap .products li.ast-article-single .astra-shop-summary-wrap .ast-loop-product__link h2 {
    font-size: 18px;
    font-weight: 700;
    text-transform: uppercase;
    color: #000;
}
.carousel-wrap .products li.ast-article-single .astra-shop-summary-wrap .price .woocommerce-Price-amount{
    font-size: 18px;
    font-weight: 700;
    color: #000;
}
.carousel-wrap .products li.ast-article-single .ajax_add_to_cart {
    width: 100%;
    border-radius: 0;
    margin-bottom: 0 !important;
}
.carousel-wrap .products li.ast-article-single {
    box-shadow: 0px 0px 10px 0px rgb(0 0 0 / 7%);
    border: 1px solid #00000017;
}
.carousel-wrap .products .owl-stage-outer .owl-item:hover .attachment-woocommerce_thumbnail {
	transform: scale(1.1);
}
.carousel-wrap .products .owl-stage-outer .owl-item .astra-shop-thumbnail-wrap a{
	overflow:hidden;
}
.carousel-wrap .products li.ast-article-single .astra-shop-summary-wrap {
    text-align: center;
}
.carousel-wrap .products li.ast-article-single .astra-shop-summary-wrap .ast-woo-product-category {
    margin-top: 15px;
}
.wt-related-products .owl-theme .owl-nav [class*=owl-] {
    color: #ffffff !important;
    background-color: #045cb4;
}
.elementskit-accordion ul {
    padding-left: 30px;
}
body.woocommerce-cart .content-area, body.woocommerce-checkout .content-area {
    margin-top: 120px !important;
}
.elementor-element-add138f .elementor-column .elementor-widget-wrap {
    align-content: space-between;
}
@media(max-width:767px){
	.elementor-element-b354aa9 .elementor-background-overlay {
    width: 100%;
    clip-path: none;
}
	.mui-row.home-samples-wraper.module-player {    
    grid-template-columns: repeat(2, minmax(0, 1fr));
    
}
	.mastering-form {
        grid-template-columns: 1fr;
    }
}
@media(max-width:500px){
	.mui-row.home-samples-wraper.module-player {    
    grid-template-columns: repeat(1, minmax(0, 1fr));
    
}
}

@media (max-width: 480px) {
    .player {
        padding: 14px;
    }
}
